package Models.VenteRapideClt;

import Controllers.Traitement.Adaptateur;
import Controllers.Traitement.contro;
import Models.Caisse.CarteBancaireClt;
import Models.ChequeClt.ChequeClt;
import Models.Produit.ListeProduit;
import javafx.collections.ObservableList;

/**
 * @author Maher
 */
public class VenteSansFacture {
    
    public String IdVenteSansFacture;
    public String DateVente;
    public String Paiement; // 0:espèce | 1:chèque | 2:Carte bancaire
    public String NomPrenomClient;
    
    public String Operation; //0:Modifier | 1:Supprimer
    public String DateOperation;
    
    public String Montant;
    public Float  FMontant;
    public ChequeClt Cheque;
    public CarteBancaireClt CarteBancaire;
    public ObservableList<ListeProduit> ListProduit ;
    public String LocalNom;  
    public Integer IdProfile;
    
    contro Controle = new contro();
    
    public String getIdVenteSansFacture() {
        return IdVenteSansFacture;
    }

    public void setIdVenteSansFacture(String IdVenteSansFacture) {
        this.IdVenteSansFacture = IdVenteSansFacture;
    }

    public String getDateVente() {
        return DateVente;
    }

    public void setDateVente(String DateVente) {
        this.DateVente = DateVente;
    }

    public String getPaiement() {
        return Paiement;
    }

    public void setPaiement(String Paiement) {
        this.Paiement = Paiement;
    }

    public String getNomPrenomClient() {
        if(Controle.isStringNull(this.NomPrenomClient)){
            return null;
        }else{
            return this.NomPrenomClient;
        }   
    }

    public void setNomPrenomClient(String NomPrenomClient) {
        this.NomPrenomClient = NomPrenomClient;
    }

    public String getOperation() {
        return Operation;
    }

    public void setOperation(String Operation) {
        this.Operation = Operation;
    }

    public String getDateOperation() {
        return DateOperation;
    }

    public void setDateOperation(String DateOperation) {
        this.DateOperation = DateOperation;
    }

    
    public String getMontant() {
        if(Controle.isStringNull(this.Montant)){
            return Adaptateur.ArrondFloatToString(this.FMontant);
        }else{
            return this.Montant;
        }
    }

    public void setMontant(String Montant) {
        this.Montant = Montant;
    }

    public Float getFMontant() {
        return FMontant;
    }

    public void setFMontant(Float FMontant) {
        this.FMontant = FMontant;
    }

    
    public ChequeClt getCheque() {
        return Cheque;
    }

    public void setCheque(ChequeClt Cheque) {
        this.Cheque = Cheque;
    }

    public CarteBancaireClt getCarteBancaire() {
        return CarteBancaire;
    }

    public void setCarteBancaire(CarteBancaireClt CarteBancaire) {
        this.CarteBancaire = CarteBancaire;
    }

    public ObservableList<ListeProduit> getListProduit() {
        return ListProduit;
    }

    public void setListProduit(ObservableList<ListeProduit> ListProduit) {
        this.ListProduit = ListProduit;
    }

    public String getLocalNom() {
        return LocalNom;
    }

    public void setLocalNom(String LocalNom) {
        this.LocalNom = LocalNom;
    }

    public Integer getIdProfile() {
        return IdProfile;
    }

    public void setIdProfile(Integer IdProfile) {
        this.IdProfile = IdProfile;
    }
    
    
}
